#!/bin/bash
set -e

pkg=sumtrees

export LC_ALL=C.UTF-8
if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"

gunzip -r *

# Obtained from `sumtrees --usage-examples`
sumtrees --summary-target consensus \
         --min-clade-freq=0.95 \
         --edges mean-length \
         --burnin=200 \
         --support-as-labels \
         --output=pythonidae_result.tre \
         pythonidae.mlboots.newick.tre  pythonidae.random.bd0301.midpoint-rooted.tre  pythonidae.random.bd0301.tre
